package com.liangjian.dataplatform.member.service;

import com.liangjian.dataplatform.member.entity.po.secondary.PointGrowthRule;
import com.liangjian.dataplatform.member.entity.vo.request.BirdGirdRequest;
import com.liangjian.dataplatform.member.entity.vo.response.BirdGirdTableResponse2;
import org.springframework.data.domain.Page;

/**
 * @Author: 黄子奇
 * @Date: 2019/11/18
 */
public interface IPointGrowthRuleService {

    Page<PointGrowthRule> query(String terminalCode, String terminalName, String action, Boolean running, Integer page, Integer size);

    boolean addPointGrowthRule(PointGrowthRule pointGrowthRule);

    boolean savePointGrowthRule(PointGrowthRule pointGrowthRule);

    boolean deletePointGrowthRule(String id);

    BirdGirdTableResponse2<PointGrowthRule> queryByCondition(BirdGirdRequest request);
}